WordPress 3.6 è pronto, e tu?

ATTENZIONE: questo articolo è più vecchio di un anno, e potrebbe non essere più attuale, sei pregato di tenerne conto.

WordPress 3.6 verificare compatibilità prima di aggiornare

WordPress 3.6, nome in codice “Oscar Peterson”, è disponibile da qualche giorno, ma è bene non avere troppa fretta di lanciarsi all’aggiornamento, specie in siti in produzione con temi e plugin particolari.

Si tratta di una major release, quindi di un aggiornamento che va affrontato con le dovute cautele.

Fortunatamente l’aggiornamento è disponibile solo in versione inglese americano, e questo frena molti utilizzatori, che così possono informarsi meglio prima di procedere.

Precauzioni prima di aggiornare WordPress.

Un breve elenco di cose da tener presente prima di aggiornare WordPress, specie nel caso si tratti di una major release come WordPress 3.6, sia che si utilizzi il pannello di aggiornamento di WordPress, sia che si proceda manualmente all’aggiornamento:

  1. Fare un backup di database e files.
    Anche se si ha un qualche plugin per il backup installato, in questi casi è bene fare un bel backup del database con phpMyAdmin, e una bella copia dei files, tutti i files, via FTP (meglio SFTP per la sicurezza).
    Inoltre, meglio sempre accertarsi che i backup siano consistenti e ripristinabili senza problemi.
  2. Verificare la compatibilità del tema.
    Qualunque sia il tema utilizzato, meglio andare sul sito dello sviluppatore e verificare eventuali note di compatibilità. Una buona occasione per scoprire se si sta utilizzando l’ultima versione disponibile del tema.
  3. Verificare la compatibilità dei plugin.
    Come per il tema, verificare sul sito degli sviluppatori se per la versione dei plugin utilizzati sono presenti note di compatibilità con WordPress 3.6. Una buona occasione per sbarazzarsi di plugin non aggiornati da troppo tempo.

Se si utilizza una versione di WordPress in italiano, forse è il caso di attendere che il gruppo di traduzione prepari la versione correttamente localizzata.

Riguardo poi la compatibilità di temi e plugin, non è detto che gli sviluppatori siano così tempestivi nelle comunicazioni, specie se non si tratta di versioni premium. In tal caso meglio dar una spulciata ai vari forum di supporto, spesso gli utilizzatori sono molto più rapidi nel segnalare eventuali problemi.

Che ne pensi?
Domande? Suggerimenti?
Lascia un commento…

Condividi se ti è piaciuto!

Condividi su facebook
Condividi su twitter
Condividi su linkedin
Condividi su whatsapp

Maggori informazioni:

Roberto Rota

Roberto Rota

Libero professionista, un "artigiano del web", lavoro nella comunicazione in rete da quando esiste Internet. Mi occupo principalmente di assistenza su WordPress e assistenza e consulenza WooCommerce, seguo la realizzazione di progetti web, in particolare siti di e-commerce, visibilità e comunicazione in rete. Il mio curriculum è su Linkedin, e mi puoi trovare anche su Instagram, FaceBook e Twitter.

CONTRIBUISCI A QUESTO SITO
Se il mio lavoro ti è stato di aiuto,
e vuoi che io continui a publbicare,
contribuisci allo sviluppo di questo sito
con una donazione su PayPal.

15 commenti su “WordPress 3.6 è pronto, e tu?”

  1. Ciao a tutti,
    Dopo l’aggiornamento ho riscontrato un problema con il tema che utilizzo.
    Dopo aver fatto il login il menù a tendina dell header non funziona, ho meglio: non apre i sottomenù a tendina.
    Avevo letto da qualche parte di controllare che nel foglio di stile, nella parte riguardante il menù non ci fossa .nav mia .menu ma nel mio tema non ho trovato niente di simile.

    Avete qualche suggerimento…almeno su dove guardare.
    Grazie

    1. Intanto dovresti verificare che il tema sia aggiornato.

      Diversamente, difficile dare consigli senza vedere niente, senza poter fare un po’ di diagnostica.

      È un errore troppo vago.

      rob

      1. grazie per la risposta immediata.
        in effetti sto aspettando una risposta da chi mi ha fornito il tema.
        hai qualche consigli…

        1. Guarda, buona parte dei problemi simili con la 3.6 che ho incontrato dipendevano dal tema, soprattutto, o da un qualche problema dei permessi nei file di WordPress dopo l’aggiornamento.

          Ti consiglierei di aspettare la risposta riguardo il tema, magari puoi provare a reinstallare wordpress manualmente.

          Se il problemi persistono prova a darmi più info e magari si può vedere di fare della diagnostica, ma senza vedere niente è dura.

          rob

          1. ciao,
            mentre aspetto la risposta dello sviluppatore.
            ti dò il link e accesso con utente di prova per vedere il problema dopo il login
            saluti

            1. Visto.

              Potrebbe essere davvero un problema di CSS, perché i menu nel sorgente della pagina ci sono.

              In ogni caso credo che il problema sia di pertinenza di chi ti ha fatto/venduto il tema, altrimenti serve perderci qualche ora e sistemare i CSS a modino.

              rob

          2. Ho notato che nella versione nativa 3.6 di wordpress nel percorso /wp-includes/js/ esiste il file admin-bar.min.js che è stato rimosso nel nuovo aggiornamento.
            Tolto questo file dalla cartella in questione tutto sembra tornato normale…. cosa ne pensi??

            1. È uno dei motivi per cui l’aggiornamento dei miei WP lo faccio sempre manualmente, qualche “residuo” talvolta non viene cancellato come invece dovrebbe 😉

              Scherzi a parte, potrebbe anche essere la causa dei problemi!

              rob

  2. Pingback: √ WordPress 3.6 è pronto, e tu? | ...

    1. Anche io ne ho aggiornati diversi, compreso questo, e per ora nessun problema a parte qualche vecchio plugin.

      Qualcuno in rete invece ha ottenuto delle belle pagine bianche, specie della dashboard, ma ho risolto aggiornando manualmente e sistemando a modino i permessi.

      rob

  3. Ciao da quando ho fatto l’aggiornamento a WP 3.6 se apro il sito con firefox mi esce questo problema: Errore di codifica del contenuto La pagina che si sta cercando di visualizzare non può essere mostrata poiché fa uso di una forma di compressione non valida o non supportata.
    non so come risolverlo!!! puoi aiutarmi?

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *

Questo sito usa Akismet per ridurre lo spam. Scopri come i tuoi dati vengono elaborati.

Cerca nel sito:

Assistenza specializzata WordPress e WooCommerce

Altri articoli

Mandami un messaggio

Ciao, come posso aiutarti?